unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeGDIPlus, ExtCtrls, TeeProcs, TeEngine, Chart, StdCtrls;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Panel1: TPanel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses TeeCircularGauge, TeeStore, EditChar, TeeEditPro;

procedure TForm1.Button1Click(Sender: TObject);
begin
  SaveChartToFile(TCustomChart(Chart1), 'Test.Tee', True, True);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  LoadChartFromFile(TCustomChart(Chart1), 'Test.Tee');
end;

procedure TForm1.Button3Click(Sender: TObject);
Var tmpSeries : TCircularGauge;
begin
  tmpSeries:=TCircularGauge.Create(Self);
  tmpSeries.Maximum  := 10;
  tmpSeries.Value    := 2.4;
  tmpSeries.ParentChart       := Chart1;
  Chart1.BottomAxis.Increment := 0.5       {<-------}

end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  Chart1.ClearChart;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  EditChart(Self, Chart1);
end;

end.
